Bug 22723 - Syntax error on confess call in Koha/MetadataRecord/Authority.pm
Summary: Syntax error on confess call in Koha/MetadataRecord/Authority.pm
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-17 11:57 UTC by Fridolin SOMERS
Modified: 2019-10-14 20:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm (1.22 KB, patch)
2019-04-17 12:03 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm (1.39 KB, patch)
2019-04-17 12:09 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm (1.46 KB, patch)
2019-04-24 12:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm (1.51 KB, patch)
2019-04-25 07:00 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-04-17 11:57:41 UTC
In Koha/MetadataRecord/Authority.pm the call to confess is missing string quotes.

It may generates this error :

Can't locate object method "confess" via package "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
" (perhaps you forgot to load "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
"?) at /home/koha/src/Koha/MetadataRecord/Authority.pm line 186.
Comment 1 Fridolin SOMERS 2019-04-17 11:58:31 UTC
I had this error with authorities indexing with Elasticsearch
Comment 2 Fridolin SOMERS 2019-04-17 12:03:28 UTC
Created attachment 88187 [details] [review]
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm

In Koha/MetadataRecord/Authority.pm the call to confess is missing string quotes.

It may generates this error :

Can't locate object method "confess" via package "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
" (perhaps you forgot to load "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
"?) at /home/koha/src/Koha/MetadataRecord/Authority.pm line 186.

Simply missing double quotes.
Comment 3 Fridolin SOMERS 2019-04-17 12:04:06 UTC
I dont know how I could create a test plan but maybe it is not needed.
Comment 4 Fridolin SOMERS 2019-04-17 12:09:19 UTC
Created attachment 88188 [details] [review]
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm

In Koha/MetadataRecord/Authority.pm the call to confess is missing string quotes.

It may generates this error :

Can't locate object method "confess" via package "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
" (perhaps you forgot to load "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
"?) at /home/koha/src/Koha/MetadataRecord/Authority.pm line 186.

Simply missing double quotes.
Also missing use Carp to call confess.
Comment 5 Kyle M Hall 2019-04-24 12:14:58 UTC
Created attachment 88616 [details] [review]
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm

In Koha/MetadataRecord/Authority.pm the call to confess is missing string quotes.

It may generates this error :

Can't locate object method "confess" via package "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
" (perhaps you forgot to load "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
"?) at /home/koha/src/Koha/MetadataRecord/Authority.pm line 186.

Simply missing double quotes.
Also missing use Carp to call confess.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Martin Renvoize 2019-04-25 07:00:30 UTC
Created attachment 88689 [details] [review]
Bug 22723: Correct syntax error on confess call in Koha/MetadataRecord/Authority.pm

In Koha/MetadataRecord/Authority.pm the call to confess is missing string quotes.

It may generates this error :

Can't locate object method "confess" via package "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
" (perhaps you forgot to load "Empty String at /usr/share/perl5/MARC/File/XML.pm line 448.
"?) at /home/koha/src/Koha/MetadataRecord/Authority.pm line 186.

Simply missing double quotes.
Also missing use Carp to call confess.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-04-25 07:00:45 UTC
Good catch, Passing QA
Comment 8 Nick Clemens 2019-04-25 11:58:15 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-26 15:07:00 UTC
Pushed to 18.11.x for 18.11.05
Comment 10 Lucas Gass 2019-05-16 01:17:51 UTC
pushed to 18.05.x for 18.05.13